Index: /orxonox/branches/movie_player/ChangeLog
===================================================================
--- /orxonox/branches/movie_player/ChangeLog	(revision 4216)
+++ /orxonox/branches/movie_player/ChangeLog	(revision 4217)
@@ -1,2 +1,6 @@
+2005-05-10	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Merged the gui into the executable
+	Windows compiles again.
+
 2005-04-27	orxonox
 	Tagged Version 0.2.3-pre-alpha
Index: /orxonox/branches/movie_player/config.h.in
===================================================================
--- /orxonox/branches/movie_player/config.h.in	(revision 4216)
+++ /orxonox/branches/movie_player/config.h.in	(revision 4217)
@@ -18,7 +18,4 @@
 /* Define to 1 if you have the <GL/gl.h> header file. */
 #undef HAVE_GL_GL_H
-
-/* if we have gThread */
-#undef HAVE_GTHREAD
 
 /* if we have GTK2 */
@@ -43,7 +40,4 @@
 /* Define to 1 if you have the <OpenGL/gl.h> header file. */
 #undef HAVE_OPENGL_GL_H
-
-/* Define to 1 if you have the <pthread.h> header file. */
-#undef HAVE_PTHREAD_H
 
 /* Define to 1 if you have the <SDL.h> header file. */
Index: /orxonox/branches/movie_player/configure.ac
===================================================================
--- /orxonox/branches/movie_player/configure.ac	(revision 4216)
+++ /orxonox/branches/movie_player/configure.ac	(revision 4217)
@@ -39,4 +39,5 @@
 #########################
 AC_PROG_CXX
+AC_PROG_RANLIB
 AC_HEADER_STDC
 
@@ -96,32 +97,4 @@
 fi 
 if test x$def_gtk = xno; then 
-  echo "no"
-fi
-
-#------------------#
-# gThread-disabled #
-#------------------#
-AC_MSG_CHECKING([if gThread should be enabled])
-AC_ARG_WITH([gthread], 
-	AC_HELP_STRING(	[--without-gthread],
-	[Prevents gThread from being loaded]), [def_gthread=no], [def_gthread=yes]) 
-if test x$def_gthread = xyes; then 
-  echo "yes"
-fi 
-if test x$def_gthread = xno; then 
-  echo "no"
-fi
-
-#------------------#
-# pthread-disabled #
-#------------------#
-AC_MSG_CHECKING([if pthread should be enabled])
-AC_ARG_WITH([pthread], 
-	AC_HELP_STRING(	[--without-pthread], 
-	[Prevents pthread from being loaded]), [def_pthread=no], [def_pthread=yes]) 
-if test x$def_pthread = xyes; then 
-  echo "yes"
-fi 
-if test x$def_pthread = xno; then 
   echo "no"
 fi
@@ -218,4 +191,12 @@
 #--------------------#
 AC_PATH_PROG(GPROF, gprof)
+
+#-------------------------#
+# checking for pkg-config #
+#-------------------------#
+if test x$def_gtk = xyes; then
+ AC_PATH_PROG(PKG_CONFIG, pkg-config)
+fi
+
 
 #########################
@@ -462,13 +443,16 @@
 #-----#
 if test x$def_gtk = xyes; then 
-
 	#PKG_CHECK_MODULES(GTK2, gtk+-2.0 >= 2.0.3 gthread-2.0 >= 2.0.3, have_gtk2=yes, have_gtk2=no)
 	AC_MSG_CHECKING([for gtk2.0])
-	if `pkg-config --exists gtk+-2.0`; then
+	if `$PKG_CONFIG --exists gtk+-2.0`; then
   		echo "yes"
   		have_gtk2=yes
-		GTK2_LIBS=`pkg-config --libs gtk+-2.0`
-		GTK2_CFLAGS=`pkg-config --cflags gtk+-2.0`
+		GTK2_LIBS=`$PKG_CONFIG --libs gtk+-2.0`
+		GTK2_CFLAGS=`$PKG_CONFIG --cflags gtk+-2.0`
 		AC_DEFINE_UNQUOTED(HAVE_GTK2, 1, [if we have GTK2])
+		if test $DEBUG -ge 3; then
+		 echo "cflags: $GTK2_CFLAGS"
+		 echo "libs: $GTK2_LIBS"
+		fi
 	else
 		echo "no"
@@ -479,25 +463,4 @@
 AC_SUBST(GTK2_CFLAGS)
 AM_CONDITIONAL(HAVE_GTK2, test x$have_gtk2 = xyes)
-
-#---------#
-# gThread #
-#---------#
-if test x$def_gthread = xyes; then 
-
-	AC_MSG_CHECKING([for gthread])
-	if `pkg-config --exists gthread-2.0`; then
-  		echo "yes"
-  		have_gthread=yes
-		GTHREAD_LIBS=`pkg-config --libs gthread-2.0`
-		GTHREAD_CFLAGS=`pkg-config --cflags gthread-2.0`
-		AC_DEFINE_UNQUOTED(HAVE_GTHREAD, 1, [if we have gThread])
-	else
-		echo "no"
-	fi
-
-fi
-AC_SUBST(GTHREAD_LIBS)
-AC_SUBST(GTHREAD_CFLAGS)
-AM_CONDITIONAL(HAVE_GTHREAD, test x$have_gthread = xyes)
 
 #---------#
@@ -521,18 +484,4 @@
 AC_SUBST(CURL_CFLAGS)
 AM_CONDITIONAL(HAVE_CURL, test x$have_curl = xyes)
-
-#---------#
-# pthread #
-#---------#
-if test x$def_pthread = xyes ; then
- if test x$have_gthread = xyes ; then
-  AC_CHECK_HEADERS([pthread.h], [pthreadHeader="yes"], [pthreadHeader="no"])
-  AC_CHECK_LIB([pthread], [main], [FOUND_pthread=yes])
-   if test x$FOUND_pthread = xyes ; then
-      LIBS="$LIBS -lpthread"
-   fi
- fi
-fi
-
 
 #--------#
Index: /orxonox/branches/movie_player/scripts/data.genlist.pl
===================================================================
--- /orxonox/branches/movie_player/scripts/data.genlist.pl	(revision 4217)
+++ /orxonox/branches/movie_player/scripts/data.genlist.pl	(revision 4217)
@@ -0,0 +1,68 @@
+#!/usr/bin/perl
+########################################################################## 
+#   orxonox - the future of 3D-vertical-scrollers			 #
+#									 #
+#   Copyright (C) 2004 orx						 #
+#									 #
+#   This program is free software; you can redistribute it and/or modify #
+#   it under the terms of the GNU General Public License as published by #
+#   the Free Software Foundation; either version 2, or (at your option)  #
+#   any later version.							 #
+#									 #
+#   ### File Specific:							 #
+#   main-programmer: Benjamin Grauer					 #
+#   co-programmer: ...							 #
+#									 #
+#   This is a simple perl script, that generates a List of all files     #
+#   contained in a Folder checked out with SVN and writes into an output #
+#   file.                                                                #
+##########################################################################
+
+if (@ARGV[0] eq "-h" || $ARGV[0] eq "--help" || @ARGV != 2)
+  {
+    die ("usage: data.genlist.pl <data-directory> <output-file>\n");
+  }
+
+
+if (! -d @ARGV[0])
+  {
+    die ("@ARGV[0] is not regular Directory.\n");
+  }
+
+open(FD, "> @ARGV[1]") or die("Couldn't open @ARGV[1]\n") ;
+
+
+&createFileList(@ARGV[0]);
+
+close(FD);
+
+
+sub createFileList
+  {
+   my ($folderName) = @_;
+   my ($fullName);
+   my ($inputFile);
+   my ($printFile);
+   my (@folderList);
+
+   open(FOLDERLIST, "ls $folderName -1 |");
+   @folderList = <FOLDERLIST>;
+
+   foreach $inputFile (@folderList)
+     {
+       if ($inputFile eq "." || $inputFile eq "..")
+	 {
+
+	 }
+       chomp($inputFile);
+       $fullName = "$folderName/$inputFile";
+
+       $printFile = $fullName;
+       $printFile =~ s/@ARGV[0]//;
+       print FD "$printFile\n";
+       if (-d $fullName )
+	 {
+	   &createFileList($fullName);
+	 }
+     }
+ }
Index: /orxonox/branches/movie_player/scripts/gtk-config.osXframework
===================================================================
--- /orxonox/branches/movie_player/scripts/gtk-config.osXframework	(revision 4217)
+++ /orxonox/branches/movie_player/scripts/gtk-config.osXframework	(revision 4217)
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+glib_libs="-framework GLib"
+glib_cflags="-I/Library/Frameworks/GLib.framework/Headers"
+glib_thread_libs="-framework GLib -lpthread"
+glib_thread_cflags="-I/Library/Frameworks/GLib.framework/Headers"
+
+prefix=/Library/Frameworks
+gtk_fw_prefix=/Library/Frameworks
+exec_prefix=${prefix}
+exec_prefix_set=no
+
+usage()
+{
+	cat <<EOF
+Usage: gtk-config [OPTIONS] [LIBRARIES]
+Options:
+	[--prefix[=DIR]]
+	[--exec-prefix[=DIR]]
+	[--version]
+	[--libs]
+	[--cflags]
+Libraries:
+	gtk
+	gthread
+EOF
+	exit $1
+}
+
+if test $# -eq 0; then
+	usage 1 1>&2
+fi
+
+lib_gtk=yes
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix=$optarg
+      if test $exec_prefix_set = no ; then
+        exec_prefix=$optarg
+      fi
+      ;;
+    --prefix)
+      echo_prefix=yes
+      ;;
+    --exec-prefix=*)
+      exec_prefix=$optarg
+      exec_prefix_set=yes
+      ;;
+    --exec-prefix)
+      echo_exec_prefix=yes
+      ;;
+    --version)
+      echo 1.2.10
+      ;;
+    --cflags)
+      echo_cflags=yes
+      ;;
+    --libs)
+      echo_libs=yes
+      ;;
+    gtk)
+      lib_gtk=yes
+      ;;
+    gthread)
+      lib_gthread=yes
+      ;;
+    *)
+      usage 1 1>&2
+      ;;
+  esac
+  shift
+done
+
+if test "$echo_prefix" = "yes"; then
+	echo $prefix
+fi
+
+if test "$echo_exec_prefix" = "yes"; then
+	echo $exec_prefix
+fi
+
+if test "$lib_gthread" = "yes"; then
+      glib_cflags="$glib_thread_cflags"
+      glib_libs="$glib_thread_libs"
+fi
+
+if test "$echo_cflags" = "yes"; then
+      echo -F${gtk_fw_prefix} ${glib_cflags} -I${gtk_fw_prefix}/GDK.framework/Headers -I${gtk_fw_prefix}/GTK.framework/Headers
+fi
+
+if test "$echo_libs" = "yes"; then
+      my_glib_libs=
+      libdirs=-F${exec_prefix}
+      for i in $glib_libs ; do
+        if test $i != -F${exec_prefix} ; then
+          if test -z "$my_glib_libs" ; then
+            my_glib_libs="$i"
+          else
+            my_glib_libs="$my_glib_libs $i"
+          fi
+        fi
+      done
+
+      echo $libdirs -F${gtk_fw_prefix} -framework GLib -framework GDK -framework GTK ${glib_cflags} -lm
+fi
Index: /orxonox/branches/movie_player/src/Makefile.am
===================================================================
--- /orxonox/branches/movie_player/src/Makefile.am	(revision 4216)
+++ /orxonox/branches/movie_player/src/Makefile.am	(revision 4217)
@@ -10,4 +10,5 @@
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/particles
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui/gui
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
@@ -21,13 +22,16 @@
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
-
-
-AM_LDFLAGS= $(MWINDOWS)
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
+
+
 
 #"-O3 -pedantic -fPIC -ffast-math -I/usr/X11R6/include"
 
 
-bin_PROGRAMS=orxonox
-
+bin_PROGRAMS=orxonox 
+noinst_LIBRARIES = libORXgui.a
+
+orxonox_DEPENDENCIES = libORXgui.a
+orxonox_LDADD = libORXgui.a $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 orxonox_SOURCES= orxonox.cc \
 		 game_loader.cc \
@@ -85,6 +89,6 @@
 		 lib/xmlparser/tinystr.cc \
 		 lib/xmlparser/tinyxmlerror.cc \
-		 lib/xmlparser/tinyxmlparser.cc
-		 
+		 lib/xmlparser/tinyxmlparser.cc \
+		 subprojects/benchmark.cc
 
 noinst_HEADERS = orxonox.h \
@@ -129,4 +133,5 @@
 		 defs/error.h \
 		 defs/debug.h \
+		 defs/globals.h \
 		 lib/coord/p_node.h \
 		 lib/coord/null_parent.h \
@@ -147,5 +152,29 @@
 		 lib/math/vector.h \
 		 lib/math/curve.h \
-		 glmenu/glmenu_imagescreen.h 
+		 glmenu/glmenu_imagescreen.h \
+		 lib/gui/gui/gui.h \
+	         lib/gui/gui/gui_gtk.h \
+	         lib/gui/gui/gui_element.h \
+	         lib/gui/gui/gui_video.h \
+	         lib/gui/gui/gui_audio.h \
+	         lib/gui/gui/gui_exec.h \
+	         lib/gui/gui/gui_flags.h \
+	         lib/gui/gui/gui_banner.h \
+	         lib/gui/gui/gui_keys.h \
+	         lib/gui/gui/gui_update.h \
+		 subprojects/benchmark.h
+
+libORXgui_a_CPPFLAGS=$(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
+
+libORXgui_a_SOURCES = lib/gui/gui/gui.cc \
+			    lib/gui/gui/gui_gtk.cc \
+	                    lib/gui/gui/gui_element.cc \
+	       	            lib/gui/gui/gui_video.cc \
+	                    lib/gui/gui/gui_audio.cc \
+	                    lib/gui/gui/gui_exec.cc \
+	                    lib/gui/gui/gui_flags.cc \
+	                    lib/gui/gui/gui_banner.cc \
+	                    lib/gui/gui/gui_keys.cc \
+	                    lib/gui/gui/gui_update.cc
 
 
Index: /orxonox/branches/movie_player/src/command_node.cc
===================================================================
--- /orxonox/branches/movie_player/src/command_node.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/command_node.cc	(revision 4217)
@@ -57,5 +57,5 @@
   this->bEnabled = true;
   this->world = NULL;
-  this->loadBindings (filename);
+  this->loadBindings(filename);
 }
 
@@ -111,11 +111,9 @@
    \param filename: The path and name of the file to load the bindings from
 */
-void CommandNode::loadBindings (char* filename)
+void CommandNode::loadBindings (char* filename = DEFAULT_KEYBIND_FILE)
 {
   FILE* stream;
   
   PRINTF(4)("Loading key bindings from %s\n", filename);
-  
-  if( filename == NULL) filename = DEFAULT_KEYBIND_FILE;
   
   // remove old bindings if present
@@ -128,7 +126,7 @@
   // create parser
   IniParser parser (filename);
-  if( parser.getSection ("Bindings") == -1)
-    {
-      PRINTF(1)("Could not find key bindings in %s\n", filename);
+  if( parser.getSection (CONFIG_SECTION_PLAYER "1") == -1)
+    {
+      PRINTF(1)("Could not find key bindings " CONFIG_SECTION_PLAYER"1 in %s\n", filename);
       return;
     }
@@ -144,14 +142,14 @@
   while( parser.nextVar (namebuf, valuebuf) != -1)
     {
-      index = nameToIndex (namebuf);
+      index = nameToIndex (valuebuf);
       switch( index[0])
 	{
 	case 0:
-	  PRINTF(4)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), valuebuf);
-	  strcpy (aliases->keys[index[1]], valuebuf);
+	  PRINTF(4)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), namebuf);
+	  strcpy (aliases->keys[index[1]], namebuf);
 	  break;
 	case 1:
-	  PRINTF(4)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), valuebuf);
-	  strcpy (aliases->buttons[index[1]], valuebuf);
+	  PRINTF(4)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), namebuf);
+	  strcpy (aliases->buttons[index[1]], namebuf);
 	  break;
 	default:
@@ -161,4 +159,33 @@
       memset (valuebuf, 0, 256);
     }
+
+
+  // PARSE MISC SECTION
+  if( parser.getSection (CONFIG_SECTION_MISC_KEYS) == -1)
+    {
+      PRINTF(1)("Could not find key bindings in %s\n", filename);
+      return;
+    }
+
+  while( parser.nextVar (namebuf, valuebuf) != -1)
+    {
+      index = nameToIndex (valuebuf);
+      switch( index[0])
+	{
+	case 0:
+	  PRINTF(4)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), namebuf);
+	  strcpy (aliases->keys[index[1]], namebuf);
+	  break;
+	case 1:
+	  PRINTF(4)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), namebuf);
+	  strcpy (aliases->buttons[index[1]], namebuf);
+	  break;
+	default:
+	  break;
+	}
+      memset (namebuf, 0, 256);
+      memset (valuebuf, 0, 256);
+    }
+
 }
 
Index: /orxonox/branches/movie_player/src/command_node.h
===================================================================
--- /orxonox/branches/movie_player/src/command_node.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/command_node.h	(revision 4217)
@@ -18,5 +18,5 @@
 #define N_STD_KEYS SDLK_LAST
 #define N_BUTTONS 6
-#define DEFAULT_KEYBIND_FILE "default.ini"
+#define DEFAULT_KEYBIND_FILE "~/.orxonox/orxonox.conf"
 
 //! Key aliasing structure
Index: /orxonox/branches/movie_player/src/defs/debug.h
===================================================================
--- /orxonox/branches/movie_player/src/defs/debug.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/defs/debug.h	(revision 4217)
@@ -59,7 +59,7 @@
 #define DEBUG_MODULE_PNODE              1
 #define DEBUG_MODULE_WORLD_ENTITY       0
-#define DEBUG_MODULE_COMMAND_NODE       0
+#define DEBUG_MODULE_COMMAND_NODE       4
 #define DEBUG_MODULE_GRAPHICS           0
-#define DEBUG_MODULE_LOAD               0
+#define DEBUG_MODULE_LOAD               2
 
 #define DEBUG_MODULE_IMPORTER           3
Index: /orxonox/branches/movie_player/src/defs/globals.h
===================================================================
--- /orxonox/branches/movie_player/src/defs/globals.h	(revision 4217)
+++ /orxonox/branches/movie_player/src/defs/globals.h	(revision 4217)
@@ -0,0 +1,76 @@
+/*!
+  \file globals.h
+  \brief This file defines some default values.
+  
+  no Class is defined here.
+*/
+
+#ifndef _GLOBALS_H
+#define _GLOBALS_H
+
+#define ORXONOX_STAFF "Patrick Boenzli - Captain\n" \
+                      "Benjamin Grauer - First Officer\n" \
+		      "Christian Meyer - Engeneer\n" \
+		      "Nico Bernold - Physics\n" \
+		      "David Gruetter - The ProtoType\n" \
+		      "many more\n" 
+
+#define DEFAULT_CONFIG_FILE "~/.orxonox/orxonox.conf"
+#define DEFAULT_DATA_DIR "/usr/share/orxonox/data/"
+#define DEFAULT_DATA_DIR_CHECKFILE "data.oxd"
+
+// Defines all the Sections of the Config (in Gui and ORxonox)
+//! Name of Section Misc in the config-File
+#define CONFIG_SECTION_MISC "misc"
+#define CONFIG_SECTION_MISC_KEYS "miscKeys"
+#define CONFIG_SECTION_PLAYER "player"
+#define CONFIG_SECTION_VIDEO "video"
+#define CONFIG_SECTION_VIDEO_ADVANCED "video_advanced"
+#define CONFIG_SECTION_AUDIO "audio"
+#define CONFIG_SECTION_EXEC "exec"
+#define CONFIG_SECTION_DATA "data"
+
+/*
+  TAGS for all the Configuration Options
+  Consider they may __not__ have any WhiteSpaces inside
+*/
+#define CONFIG_NAME_DATADIR "DataDir"
+#define CONFIG_NAME_AUTO_UPDATE "Auto-Update"
+#define CONFIG_NAME_FULLSCREEN "Fullscreen-mode"
+#define CONFIG_NAME_RESOLUTION "Resolution"
+#define CONFIG_NAME_WIREFRAME "WireFrame-mode"
+#define CONFIG_NAME_SHADOWS "Shadows"
+#define CONFIG_NAME_FOG "Fog"
+#define CONFIG_NAME_REFLECTIONS "Reflections"
+#define CONFIG_NAME_TEXTURES "TEXTURES"
+#define CONFIG_NAME_TEXTURE_DETAIL "Texture-Detail"
+#define CONFIG_NAME_MODEL_DETAIL "Model-Detail"
+#define CONFIG_NAME_PARTICLES_ENABLED "Particles Enabled"
+#define CONFIG_NAME_ANTI_ALIASING "Anti-Aliasing"
+#define CONFIG_NAME_FILTER_METHOD "Filtering-Method"
+#define CONFIG_NAME_DISABLE_AUDIO "Disable-Audio"
+#define CONFIG_NAME_MUSIC_VOLUME "Music-Volume"
+#define CONFIG_NAME_EFFECTS_VOLUME "Effects-Volume"
+#define CONFIG_NAME_SAVE_SETTINGS "Save-Settings"
+#define CONFIG_NAME_VERBOSE_MODE "Verbose-Mode"
+#define CONFIG_NAME_ALWAYS_SHOW_GUI "Always-Show-The-Gui"
+#define CONFIG_NAME_PLAYER_UP "Up"
+#define CONFIG_NAME_PLAYER_DOWN "Down"
+#define CONFIG_NAME_PLAYER_LEFT "Left"
+#define CONFIG_NAME_PLAYER_RIGHT "Right"
+#define CONFIG_NAME_PLAYER_FIRE "Fire"
+#define CONFIG_NAME_PLAYER_NEXT_WEAPON "Next"
+#define CONFIG_NAME_PLAYER_PREV_WEAPON "Prev"
+#define CONFIG_NAME_QUIT "Quit"
+#define CONFIG_NAME_PAUSE "Pause"
+#define CONFIG_NAME_NEXT_WORLD "Next-World"
+#define CONFIG_NAME_PREV_WORLD "Prev-World"
+#define CONFIG_NAME_VIEW0 "view0"
+#define CONFIG_NAME_VIEW1 "view1"
+#define CONFIG_NAME_VIEW2 "view2"
+#define CONFIG_NAME_VIEW3 "view3"
+#define CONFIG_NAME_VIEW4 "view4"
+#define CONFIG_NAME_VIEW5 "view5"
+
+
+#endif /* _GLOBALS_H */
Index: /orxonox/branches/movie_player/src/defs/stdincl.h
===================================================================
--- /orxonox/branches/movie_player/src/defs/stdincl.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/defs/stdincl.h	(revision 4217)
@@ -25,4 +25,5 @@
 #include "error.h"
 #include "debug.h"
+#include "globals.h"
 
 #include "compiler.h"
Index: /orxonox/branches/movie_player/src/factory.cc
===================================================================
--- /orxonox/branches/movie_player/src/factory.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/factory.cc	(revision 4217)
@@ -28,9 +28,10 @@
    \brief constructor
    
-   set everything to zero and define classname
+   set everything to zero and define factoryName
 */
 Factory::Factory (const char* name)
 {
-  this->setClassname(name);
+  this->factoryName = NULL;
+  this->setFactoryName(name);
   next = NULL;
   
@@ -45,5 +46,5 @@
 Factory::~Factory ()
 {
-  //  printf("%s\n", this->classname);
+  //  printf("%s\n", this->factoryName);
   //  Factory* tmpDel = this->next;
   //  this->next = NULL;
@@ -52,10 +53,10 @@
 }
 
-void Factory::setClassname(const char* name)
+void Factory::setFactoryName(const char* name)
 {
-  if (classname)
-    delete classname;
-  classname = new char[strlen(name)+1];
-  strcpy(classname, name);
+  if (factoryName)
+    delete factoryName;
+  factoryName = new char[strlen(name)+1];
+  strcpy(factoryName, name);
 }
 
@@ -74,5 +75,4 @@
 void Factory::initialize()
 {
-  assert( classname != NULL);
   GameLoader* gl = GameLoader::getInstance();
   gl->registerFactory( this);
Index: /orxonox/branches/movie_player/src/factory.h
===================================================================
--- /orxonox/branches/movie_player/src/factory.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/factory.h	(revision 4217)
@@ -10,4 +10,5 @@
 
 #include "xmlparser/tinyxml.h"
+#include "debug.h"
 
 /** 
@@ -33,11 +34,11 @@
   void initialize();
   void registerFactory( Factory* factory);
-  void setClassname(const char* name);
-  const char* getClassname() {return classname;};
+  void setFactoryName(const char* name);
+  const char* getFactoryName() {return factoryName;};
   void setNext( Factory* factory) {next = factory;}
   Factory* getNext() {return next;}
 	
  private:
-  char* classname;
+  char* factoryName;
 	
   Factory* next;
@@ -57,5 +58,5 @@
 tFactory<T>::tFactory(const char* name) : Factory(name)
 {
-  printf("fileName: %s\n", name);
+  PRINTF(5)("fileName: %s\n", name);
 }
   
@@ -68,5 +69,5 @@
 BaseObject* tFactory<T>::fabricate( TiXmlElement* root) 
 { 
-  if(!strcmp(root->Value(), getClassname()))
+  if(!strcmp(root->Value(), getFactoryName()))
     return new T ( root);
   else if( getNext() != NULL) 
@@ -80,7 +81,4 @@
 const char* grabParameter( TiXmlElement* root, const char* name);
 
-
-
-
 #endif /* _FACTORY_H */
 
Index: /orxonox/branches/movie_player/src/game_loader.cc
===================================================================
--- /orxonox/branches/movie_player/src/game_loader.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/game_loader.cc	(revision 4217)
@@ -25,4 +25,5 @@
 #include "command_node.h"
 #include "vector.h"
+#include "resource_manager.h"
 #include "factory.h"
 
@@ -36,5 +37,8 @@
 
 
-GameLoader::GameLoader () {}
+GameLoader::GameLoader () 
+{
+  first = NULL;
+}
 
 
@@ -70,9 +74,13 @@
    this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
 */
-ErrorMessage GameLoader::loadCampaign(char* name)
+ErrorMessage GameLoader::loadCampaign(const char* name)
 {
   ErrorMessage errorCode;
-  
-  this->currentCampaign = this->fileToCampaign(name);
+  char* campaignName = ResourceManager::getFullName(name);
+  if (campaignName)
+    {
+      this->currentCampaign = this->fileToCampaign(campaignName);
+      delete campaignName;
+    }
 }
 
@@ -159,5 +167,5 @@
    this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
 */
-Campaign* GameLoader::fileToCampaign(char *name)
+Campaign* GameLoader::fileToCampaign(const char *name)
 {
   /* do not entirely load the campaign. just the current world
@@ -168,5 +176,5 @@
   if( name == NULL)
     {
-      PRINTF0("No filename specified for loading");
+      PRINTF(2)("No filename specified for loading");
       return NULL;
     }
@@ -177,5 +185,5 @@
     {
       // report an error
-      PRINTF0("Error loading XML File: %s @ %d:%d\n", XMLDoc->ErrorDesc(), XMLDoc->ErrorRow(), XMLDoc->ErrorCol());
+      PRINTF(1)("Could not load XML File %s: %s @ %d:%d\n", name, XMLDoc->ErrorDesc(), XMLDoc->ErrorRow(), XMLDoc->ErrorCol());
       delete XMLDoc;
       return NULL;
@@ -189,5 +197,5 @@
     {
       // report an error
-      PRINTF(0)("Specified XML File is not an orxonox campaign file (Campaign element missing)\n");
+      PRINTF(2)("Specified XML File is not an orxonox campaign file (Campaign element missing)\n");
       delete XMLDoc;
       return NULL;
@@ -211,5 +219,5 @@
 bool GameLoader::worldCommand (Command* cmd)
 {
-  if( !strcmp( cmd->cmd, "up_world"))
+  if( !strcmp( cmd->cmd, CONFIG_NAME_NEXT_WORLD))
     {
       if( !cmd->bUp) 
@@ -219,5 +227,5 @@
       return true;
     }
-  else if( !strcmp( cmd->cmd, "down_world"))
+  else if( !strcmp( cmd->cmd, CONFIG_NAME_PREV_WORLD))
     {
       if( !cmd->bUp)
@@ -227,5 +235,5 @@
       return true;
     }
-  else if( !strcmp( cmd->cmd, "pause"))
+  else if( !strcmp( cmd->cmd, CONFIG_NAME_PAUSE))
     {
       if( !cmd->bUp)
@@ -238,5 +246,5 @@
       return true;
     }
-  else if( !strcmp( cmd->cmd, "quit"))
+  else if( !strcmp( cmd->cmd, CONFIG_NAME_QUIT))
     {
       if( !cmd->bUp) this->stop();
@@ -276,5 +284,5 @@
 	assert( factory != NULL);
 	
-	PRINTF0("Registered factory for '%s'\n", factory->getClassname());
+	PRINTF(4)("Registered factory for '%s'\n", factory->getFactoryName());
 	
 	if( first == NULL) first = factory;
@@ -288,23 +296,25 @@
 BaseObject* GameLoader::fabricate( TiXmlElement* element)
 {
-	assert( element != NULL);
-	
-	if( first == NULL)
-	{
-		PRINTF0("GameLoader does not know any factories, fabricate() failed\n");
-		return NULL;
-	}
-	
-	if( element->Value() != NULL)
-	{
-		PRINTF0("Attempting fabrication of a '%s'\n", element->Value());
-		BaseObject* b = first->fabricate( element);
-		if( b == NULL) PRINTF0("Failed to fabricate a '%s'\n", element->Value());
-		else PRINTF0("Successfully fabricated a '%s'\n", element->Value());
-		return b;
-	}
-	
-	PRINTF0("Fabricate failed, TiXmlElement did not contain a value\n");
-	
-	return NULL;
-}
+  assert( element != NULL);
+	
+  if( first == NULL)
+    {
+      PRINTF(1)("GameLoader does not know any factories, fabricate() failed\n");
+      return NULL;
+    }
+	
+  if( element->Value() != NULL)
+    {
+      PRINTF(4)("Attempting fabrication of a '%s'\n", element->Value());
+      BaseObject* b = first->fabricate( element);
+      if( b == NULL) 
+	PRINTF(2)("Failed to fabricate a '%s'\n", element->Value());
+      else 
+	PRINTF(4)("Successfully fabricated a '%s'\n", element->Value());
+      return b;
+    }
+	
+  PRINTF(2)("Fabricate failed, TiXmlElement did not contain a value\n");
+	
+  return NULL;
+}
Index: /orxonox/branches/movie_player/src/game_loader.h
===================================================================
--- /orxonox/branches/movie_player/src/game_loader.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/game_loader.h	(revision 4217)
@@ -39,5 +39,5 @@
 
   ErrorMessage init();
-  ErrorMessage loadCampaign(char* name);
+  ErrorMessage loadCampaign(const char* name);
   ErrorMessage start();
   ErrorMessage stop();
@@ -64,5 +64,5 @@
   Campaign* currentCampaign; //!> the current campaign playing
   
-  Campaign* fileToCampaign(char* name);
+  Campaign* fileToCampaign(const char* name);
 
   Factory* first;
